Project Chrono: chrono::turtlebot::Turtlebot_TopPlate Class Reference

Public Member Functions | Friends | List of all members
chrono::turtlebot::Turtlebot_TopPlate Class Reference
Models » Robot models » Turtlebot robot model

## Description

Turtlebot Top Plate class definition.

`#include <Turtlebot.h>`

Inheritance diagram for chrono::turtlebot::Turtlebot_TopPlate:
[legend]
Collaboration diagram for chrono::turtlebot::Turtlebot_TopPlate:
[legend]

## Public Member Functions
| Turtlebot_TopPlate (const std::string &name, bool fixed, std::shared_ptr< ChContactMaterial > mat, ChSystem *system, const ChVector3d &body_pos, const ChQuaternion<> &body_rot, std::shared_ptr< ChBodyAuxRef > chassis, bool collide)
void | Initialize ()
| Initialize the wheel at the specified (absolute) position.
void | EnableCollision (bool state)
| Enable/disable collision for the wheel.
Public Member Functions inherited from chrono::turtlebot::Turtlebot_Part
| Turtlebot_Part (const std::string &name, bool fixed, std::shared_ptr< ChContactMaterial > mat, ChSystem *system, const ChVector3d &body_pos, const ChQuaternion<> &body_rot, std::shared_ptr< ChBodyAuxRef > chassis_body, bool collide)
const std::string & | GetName () const
| Return the name of the part.
void | SetName (const std::string &name)
| Set the name of the part.
std::shared_ptr< ChBodyAuxRef > | GetBody () const
| Return the ChBody of the corresponding Turtlebot part.
std::shared_ptr< ChBodyAuxRef > | GetChassis () const
| Return the ChBody of the chassis wrt the Turtlebot part.
const ChVector3d & | GetPos () const
| Return the Position of the Turtlebot part.
const ChQuaternion & | GetRot () const
| Return the Rotation of the Turtlebot part.

## Friends
class | TurtleBot

## Additional Inherited Members
Protected Member Functions inherited from chrono::turtlebot::Turtlebot_Part
void | AddVisualizationAssets ()
| Initialize the visulization mesh of the Turtlebot part.
void | AddCollisionShapes ()
| Initialize the collision mesh of the Turtlebot part.
void | EnableCollision (bool state)
| Enable/disable collision.
Protected Attributes inherited from chrono::turtlebot::Turtlebot_Part
std::string | m_name
| subsystem name
std::shared_ptr< ChBodyAuxRef > | m_body
| rigid body
std::shared_ptr< ChContactMaterial > | m_mat
| contact material (shared among all shapes)
std::string | m_mesh_name
| visualization mesh name
ChVector3d | m_offset
| offset for visualization mesh
ChColor | m_color
| visualization asset color
ChSystem * | m_system
| system which Turtlebot Part belongs to
std::shared_ptr< ChBodyAuxRef > | m_chassis
| the chassis body for the robot
ChVector3d | m_pos
| Turtlebot part's relative position wrt the chassis.
ChQuaternion | m_rot
| Turtlebot part's relative rotation wrt the chassis.
double | m_density
| Turtlebot part's density.
bool | m_collide
| Turtlebot part's collision indicator.
bool | m_fixed
| Turtlebot part's fixed indication.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_models/robot/turtlebot/Turtlebot.h
- D:/W/B/src/chrono-9.0.1/src/chrono_models/robot/turtlebot/Turtlebot.cpp